Bug 1713275 (CVE-2019-0221) - CVE-2019-0221 tomcat: XSS in SSI printenv
Summary: CVE-2019-0221 tomcat: XSS in SSI printenv
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-0221
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1713279 1713280 1724410 1724411
Blocks: 1713278
TreeView+ depends on / blocked
 
Reported: 2019-05-23 10:03 UTC by Dhananjay Arunesh
Modified: 2020-03-17 13:12 UTC (History)
60 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-20 18:51:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3929 None None None 2019-11-20 16:07:15 UTC
Red Hat Product Errata RHSA-2019:3931 None None None 2019-11-20 16:04:35 UTC
Red Hat Product Errata RHSA-2020:0860 None None None 2020-03-17 13:10:54 UTC
Red Hat Product Errata RHSA-2020:0861 None None None 2020-03-17 13:12:37 UTC

Description Dhananjay Arunesh 2019-05-23 10:03:30 UTC
The SSI printenv command echoes user provided data without escaping and is, therefore, vulnerable to XSS. SSI is disabled by default. The printenv command is intended for debugging and is unlikely to be present in a production website.

Reference:
http://tomcat.apache.org/security-9.html

Upstream commit:
https://github.com/apache/tomcat/commit/15fcd16

Comment 1 Dhananjay Arunesh 2019-05-23 10:06:23 UTC
Created tomcat tracking bugs for this issue:

Affects: fedora-all [bug 1713279]

Comment 2 Dhananjay Arunesh 2019-05-23 10:06:53 UTC
Created tomcat tracking bugs for this issue:

Affects: epel-all [bug 1713280]

Comment 4 Joshua Padman 2019-06-12 02:55:37 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Fuse 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 6 Doran Moppert 2019-06-27 03:20:19 UTC
Mitigation:

SSI is disabled in the default Tomcat configuration. The vulnerable printenv command is intended for debugging, and is recommended to not be enabled for a production website.

Comment 8 errata-xmlrpc 2019-11-20 16:04:32 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2019:3931 https://access.redhat.com/errata/RHSA-2019:3931

Comment 9 errata-xmlrpc 2019-11-20 16:07:12 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 5.2 on RHEL 7
  Red Hat JBoss Web Server 5.2 on RHEL 6
  Red Hat JBoss Web Server 5.2 on RHEL 8

Via RHSA-2019:3929 https://access.redhat.com/errata/RHSA-2019:3929

Comment 10 Product Security DevOps Team 2019-11-20 18:51:26 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-0221

Comment 13 errata-xmlrpc 2020-03-17 13:10:51 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2020:0860 https://access.redhat.com/errata/RHSA-2020:0860

Comment 14 errata-xmlrpc 2020-03-17 13:12:34 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 3 for RHEL 7
  Red Hat JBoss Web Server 3 for RHEL 6

Via RHSA-2020:0861 https://access.redhat.com/errata/RHSA-2020:0861


Note You need to log in before you can comment on or make changes to this bug.